Subject: problems with linuxthreads under your latest glibc 15C rpms

From: "Kevin B. Hendricks" <[email-masked]>
Date: Thu, 27 Jul 2000 21:05:09 -0400

Hi Franz,

Whoops I forgot to attach the patch to fix this (against your latest
glibc-2.1.3-15c src rpm).

--- linuxthreads/mutex.c.prev   Thu Jul 27 20:57:28 2000
+++ linuxthreads/mutex.c        Thu Jul 27 20:59:06 2000
@@ -50,7 +50,9 @@
   switch(mutex->__m_kind) {
   case PTHREAD_MUTEX_FAST_NP:
     retcode = __pthread_trylock(&mutex->__m_lock);
-    mutex->__m_owner = thread_self();
+    if (retcode == 0) {
+      mutex->__m_owner = thread_self();
+    }
     return retcode;
   case PTHREAD_MUTEX_RECURSIVE_NP:
     self = thread_self();

I will let you know if I find any more funny things.

Thanks,

Kevin

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/